%define upstream_name    Text-Trac
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl extension for formatting text with Trac Wiki Style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(UNIVERSAL::require)
BuildArch: noarch


%description
Text::Trac parses text with Trac WikiFormatting and convert it to html
format.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README.md META.yml
%{_bindir}/trac2html
%{_mandir}/man3/*
%{perl_vendorlib}/Text


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-7.mga8
+ Revision: 1506779
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.180.0-6.mga7
+ Revision: 1286986
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.180.0-5.mga7
+ Revision: 1167027
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.180.0-4.mga7
+ Revision: 1159426
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1035172
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 967519
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 849196
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 742409
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 686659
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 515580
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 374234
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 27170
- mageia rebuild
- imported package perl-Text-Trac


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.0
+ Revision: 405716
- rebuild using %%perl_convert_version

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2009.1
+ Revision: 353670
- update to new version 0.15

* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2009.1
+ Revision: 344389
- update to new version 0.14

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2009.0
+ Revision: 270399
- update to new version 0.13

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12-2mdv2009.0
+ Revision: 268839
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.0
+ Revision: 194956
- update to new version 0.12

* Thu Mar 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2008.1
+ Revision: 180578
- update to new version 0.11

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.1
+ Revision: 178278
- update to new version 0.10
- update to new version 0.10

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2008.1
+ Revision: 177897
- import perl-Text-Trac


